#
# Conditional build:
%bcond_with	ps            # enable postscript support

Summary:	Powerful image loading and rendering library
Summary(pl.UTF-8):	Potężna biblioteka wczytująca i renderująca obrazki
Name:		imlib2
Version:	1.9.1
Release:	1
License:	BSD-like
Group:		X11/Libraries
Source0:	https://downloads.sourceforge.net/enlightenment/%{name}-%{version}.tar.xz
# Source0-md5:	596fd0664538adb7867aa609fb718147
URL:		https://docs.enlightenment.org/api/imlib2/html/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake >= 1.6
BuildRequires:	bzip2-devel
BuildRequires:	doxygen
BuildRequires:	freetype-devel >= 2.1
BuildRequires:	giflib-devel
BuildRequires:	libheif-devel
BuildRequires:	libid3tag-devel
BuildRequires:	libjpeg-devel >= 6b-18
BuildRequires:	libjxl-devel
BuildRequires:	libpng-devel >= 1.0.8
BuildRequires:	librsvg-devel >= 2.46
%{?with_ps:BuildRequires:    libspectre-devel}
BuildRequires:	libtiff-devel >= 4
BuildRequires:	libtool >= 2:2
BuildRequires:	libwebp-devel
BuildRequires:	libxcb-devel >= 1.9
BuildRequires:	openjpeg2-devel >= 2
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xz
BuildRequires:	xz-devel
BuildRequires:	zlib-devel
Requires:	freetype >= 2.1
Requires:	libjpeg >= 6b-18
Requires:	libpng >= 1.0.8
Requires:	libxcb >= 1.9
Obsoletes:	libimlib2_1 < 2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Imlib2 is an advanced replacement library for libraries like libXpm
that provides many more features with much greater flexibility and
speed than standard libraries, including font rasterization, rotation,
RGBA space rendering and blending, dynamic binary filters, scripting,
and more.

%description -l pl.UTF-8
Imlib2 jest zaawansowaną biblioteką, zamiennikiem takich bibliotek jak
libXpm. Imlib2 dostarcza o wiele więcej możliwości przy dużo większej
szybkości niż standardowe biblioteki (włączając w to rasteryzację
fontów, obracanie, renderowanie przestrzeni RGBA, mieszanie,
dynamiczne filtry (w postaci binarnej), obsługa języka skryptowego i
wiele więcej.

%package devel
Summary:	Imlib2 header files and development documentation
Summary(fr.UTF-8):	Fichiers entête pour Imlib2
Summary(pl.UTF-8):	Pliki nagłówkowe oraz dokumentacja do imlib2
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	freetype-devel
Requires:	libltdl-devel
Requires:	xorg-lib-libXext-devel
Obsoletes:	libimlib2_1-devel < 2

%description devel
Header files and development documentation for Imlib2.

%description devel -l fr.UTF-8
Fichiers entête pour Imlib2.

%description devel -l pl.UTF-8
Pliki nagłówkowe oraz dokumentacja do biblioteki Imlib2.

%package static
Summary:	Imlib2 static library
Summary(pl.UTF-8):	Biblioteka statyczna imlib2
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Imlib2 static library.

%description static -l pl.UTF-8
Biblioteka statyczna imlib2.

%prep
%setup -q

# missing in dist tarball, make a stub
install -d test
touch test/Makefile.am

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--enable-doc-build \
	%{!?with_ps:--without-ps} \
%ifarch i586 i686 pentium3 pentium4 athlon
	--enable-mmx \
%else
	--disable-mmx \
%endif
%ifarch %{x8664}
	--enable-amd64 \
%endif

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# not needed
%{__rm} $RPM_BUILD_ROOT%{_libdir}/imlib2/*/*.la
# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libImlib2.la

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING COPYING-PLAIN ChangeLog README
%attr(755,root,root) %{_bindir}/imlib2_*
%attr(755,root,root) %{_libdir}/libImlib2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libImlib2.so.1
%dir %{_libdir}/imlib2
%dir %{_libdir}/imlib2/filters
%attr(755,root,root) %{_libdir}/imlib2/filters/*.so
%dir %{_libdir}/imlib2/loaders
%attr(755,root,root) %{_libdir}/imlib2/loaders/*.so
%{_datadir}/imlib2

%files devel
%defattr(644,root,root,755)
%doc doc/html
%attr(755,root,root) %{_libdir}/libImlib2.so
%{_includedir}/Imlib2.h
%{_pkgconfigdir}/imlib2.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libImlib2.a
%changelog
* Fri Jul 29 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/imlib2.git;a=log;h=master

* Fri Jul 29 2022 Jakub Bogusz <qboosh@pld-linux.org> abe378b
- updated to 1.9.1
- rebuild ac/am for -as-needed to work (imlib2 should not be linked with libLerc etc.)
- drop .la file

* Fri Jul 29 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 5a7a806
- rebuild with lerc-4.0

* Sat May 28 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 2cb000c
- conditional postscript support, rel 1

* Fri May 13 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 37e4d80
- up to 1.9.0, enabling more loadeers

* Sun Oct 10 2021 Jan Palus <atler@pld-linux.org> b12a458
- up to 1.7.4

* Wed Aug 18 2021 Jan Palus <atler@pld-linux.org> dea6e5d
- up to 1.7.3

* Tue Jul 27 2021 Jan Palus <atler@pld-linux.org> 9e13092
- updated source url to https

* Tue Jul 27 2021 Jan Palus <atler@pld-linux.org> 95dd8d7
- up to 1.7.2

* Thu Dec 17 2020 Jan Palus <atler@pld-linux.org> 06591a1
- up to 1.7.1

* Sun Oct 04 2020 Jan Palus <atler@pld-linux.org> ecd2044
- up to 1.7.0

* Sun Dec 17 2017 Jakub Bogusz <qboosh@pld-linux.org> f95b382
- updated to 1.4.10

* Sun Jan 22 2017 Jakub Bogusz <qboosh@pld-linux.org> c7de3f2
- updated to 1.4.9

* Sat Mar 19 2016 Jakub Bogusz <qboosh@pld-linux.org> 228baab
- updated to 1.4.8
- removed obsolete libpng-1.5,giflib5 patches

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> b27b954
- x32 rebuild
- release 6 (by relup.sh)

* Wed Jan 07 2015 Jakub Bogusz <qboosh@pld-linux.org> 842f186
- let it work with giflib 5.0.x

* Thu Jan 01 2015 Jan Rękorajski <baggins@pld-linux.org> 580854e
- fix building with giflib 5

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 086974f
- release 5 (by relup.sh)

* Fri Feb 10 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 2409a12
- rel 4; libpng fix

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 8388588
- release 3

* Fri Jan 13 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> f3ef883
- release 2

